создатьОкно = (мир, id, файлHTML = null, файлCSS = null) =>
{
    // Структура.
    var окно = document.createElement("div");
    окно.id = id;
    окно.style.display = "none";
    document.body.appendChild(окно);
    // Вид.
    if (файлHTML || файлCSS)
    {
        var м = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);
        if (файлHTML)
        {
            окно.innerHTML = м.содержимое[файлHTML];
        }
        if (файлCSS)
        {
            добавитьCSS(м.содержимое[файлCSS]);
        }
    }
    // Функциональность.
    окно.плавно = new ПлавноОтобразитьСкрыть(окно);

    return окно;
};


// // // //


добавитьCSS = содержимое =>
{
    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = содержимое;
    return вид;
};