ОтобразитьПоражение = мир =>
{
    var м = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);
    var сообщение = м.содержимое["/😭.html"];
    UIkit.modal.alert(сообщение);
};


// // // //


ОтобразитьПобеду = мир =>
{
    var м = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);
    var сообщение = м.содержимое["/😀.html"];
    UIkit.modal.alert(сообщение);
};


// // // //


ОтобразитьТекущееЗначениеМасштаба = мир =>
{
    var масштаб = мир.масштаб * 100;
    var сообщение = `🔍 ${масштаб}%`;
    UIkit.notification({
        message: сообщение,
        timeout: 500
    });
};


// // // //


ОтобразитьКоличествоФишекМаджонга = мир =>
{
    $("#счёт-фишек").html(мир.количествоФишекМаджонга);
};


// // // //


ОтобразитьКоличествоХодовВМаджонге = мир =>
{
    $("#счёт-ходов").html(мир.количествоХодовВМаджонге);
};


// // // //


ОтобразитьВыборТемыМаджонга = мир =>
{
    var таблица = мир.таблицаОкнаТем;
    // Очистить выбор.
    for (var номер in таблица.строки)
    {
        var элемент = таблица.элемент(номер);
        элемент.removeClass("выбранный-элемент-таблицы");
    }
    // Задать выбор.
    var элемент = таблица.элемент(мир.номерВыбраннойТемыМаджонга);
    элемент.addClass("выбранный-элемент-таблицы");
};


// // // //


ЗадатьСписокТемМаджонга = мир =>
{
    var список = мир.списокТемМаджонга;

    var номераНазвания = [];
    for (var н in список)
    {
        var название = список[н];
        var номер = Number(н) + 1;
        номераНазвания.push([номер, название]);
    }

    мир.таблицаОкнаТем.задатьСтроки(номераНазвания);
};


// // // //


ОтобразитьВыборРаскладкиМаджонга = мир =>
{
    var таблица = мир.таблицаОкнаРаскладок;
    // Очистить выбор.
    for (var номер in таблица.строки)
    {
        var элемент = таблица.элемент(номер);
        элемент.removeClass("выбранный-элемент-таблицы");
    }
    // Задать выбор.
    var элемент = таблица.элемент(мир.номерВыбраннойРаскладкиМаджонга);
    элемент.addClass("выбранный-элемент-таблицы");
};


// // // //


ЗадатьСписокРаскладокМаджонга = мир =>
{
    var список = мир.списокРаскладокМаджонга;

    var номераНазвания = [];
    for (var н in список)
    {
        var название = список[н];
        var номер = Number(н) + 1;
        номераНазвания.push([номер, название]);
    }

    мир.таблицаОкнаРаскладок.задатьСтроки(номераНазвания);
};


// // // //


ОтобразитьОкноУправления = мир =>
{
    мир.окноУправления.плавно.отобразить();
}